Use of xksudo

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
User avatar
MAYBL8
Posts: 1487
Joined: 10 Mar 2013 18:41
Location: Maryland Heights, MO USA
Contact:

Use of xksudo

Postby MAYBL8 » 12 Mar 2017 17:10

I'm not sure of what this tool is to be used for but I thought I would try to use it to change root systemsettings like themes and colors etc for root.
This what I got when I did:
xksudo systemsettings:

Code: Select all

dcihon@solydk64ee:~$ xksudo systemsettings

** (-c:24950): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
-c:1: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:30:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:35:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:121:32: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:122:32: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:123:27: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:133:39: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:134:39: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:135:34: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:151:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:217:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:241:69: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:243:69: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:245:64: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:340:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:341:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:355:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:361:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:369:33: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:397:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:410:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:411:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:40:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:44:22: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:48:22: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:49:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:50:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:80:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:84:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:85:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:86:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:92:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:96:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:100:23: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:101:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:102:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:106:23: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:107:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:108:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:112:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:112:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:116:23: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:116:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:117:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:117:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:118:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:118:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:143:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:147:22: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:151:22: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:152:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:153:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:178:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:182:22: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:183:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:184:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:189:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:193:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:197:23: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:198:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:199:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:203:23: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:204:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:205:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:209:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:209:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:213:23: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:213:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:214:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:214:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:215:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:215:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:263:48: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:264:48: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:265:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:266:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:267:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:268:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:281:48: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:282:48: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:283:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:284:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:285:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:286:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:302:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:310:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:328:21: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:329:32: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:333:27: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:334:38: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:338:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:339:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:353:30: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:357:36: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:361:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:7:37: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:8:37: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:9:31: The style property GtkButton:default-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:10:30: The style property GtkButton:image-spacing is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:11:31: The style property GtkWidget:interior-focus is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:12:29: The style property GtkButton:inner-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:20:33: The style property GtkMenu:horizontal-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:21:31: The style property GtkMenu:vertical-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:23:32: The style property GtkMenuItem:arrow-scaling is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:24:30: The style property GtkNotebook:tab-overlap is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:25:27: The style property GtkPaned:handle-size is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:28:29: The style property GtkRange:trough-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:29:28: The style property GtkRange:slider-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:30:28: The style property GtkRange:stepper-size is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:31:37: The style property GtkRange:trough-under-steppers is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:32:31: The style property GtkRange:stepper-spacing is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:35:33: The style property GtkRange:trough-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:36:37: The style property GtkScrollbar:min-slider-length is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:38:48: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:47:32: The style property GtkWidget:separator-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:48:33: The style property GtkWidget:separator-height is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:49:32: The style property GtkWidget:wide-separators is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:50:30: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:51:33: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:52:27: The style property GtkWidget:link-color is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:53:35: The style property GtkWidget:visited-link-color is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:54:41: The style property GtkWindow:decoration-button-layout is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:63:10: The 'engine' property is ignored

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:63:17: Theming engine 'unico' not found

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:105:14: not a number

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:105:14: Expected a string.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:126:33: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:155:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:179:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:250:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:251:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:252:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:253:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:254:57: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:273:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:290:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:309:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:328:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:385:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:386:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:387:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:388:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:389:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:390:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:391:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:392:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:393:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:407:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:412:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:417:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:427:33: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:452:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:453:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:523:27: The :prelight pseudo-class is deprecated. Use :hover instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:534:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:558:39: The :prelight pseudo-class is deprecated. Use :hover instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:559:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:581:33: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:601:23: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:605:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:606:63: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:607:63: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:608:58: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:609:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:667:38: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:695:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:778:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:787:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:846:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:847:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:873:10: not a number

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:873:24: Using Pango syntax for the font: style property is deprecated; please use CSS syntax

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:930:37: The style property GtkMenuItem:horizontal-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:988:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:989:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:990:53: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:991:55: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:992:53: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:993:55: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:994:48: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:995:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:996:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:997:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:998:52: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:999:54: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1000:52: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1001:54: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1002:47: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1003:49: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1004:21: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1005:23: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1010:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1011:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1012:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1013:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1037:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1065:23: Missing name of pseudo-class

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1073:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1228:33: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1243:28: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1348:28: The style property GtkRange:slider-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1349:29: The style property GtkRange:trough-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1351:33: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1373:28: The style property GtkRange:slider-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1374:28: The style property GtkRange:stepper-size is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1462:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1463:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1512:32: The style property GtkWidget:wide-separators is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1524:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1525:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1532:37: The style property GtkMenuItem:horizontal-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1573:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1579:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1600:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1764:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1818:14: not a number

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1818:14: Expected a string.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1918:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1919:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1920:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1946:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1951:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1956:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1995:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1996:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1997:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1998:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1999:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2000:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2004:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2005:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2006:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2012:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2013:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2014:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2022:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2025:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2028:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2057:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2065:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2070:57: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2082:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2087:69: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2101:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2106:68: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2121:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2126:68: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2204:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2210:18: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: unity.css:120:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(-c:24950): Gtk-WARNING **: Theme parsing error: nautilus.css:4:27: The style property GtkPaned:handle-size is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: nautilus.css:36:47: The :prelight pseudo-class is deprecated. Use :hover instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: nautilus.css:80:14: not a number

(-c:24950): Gtk-WARNING **: Theme parsing error: nautilus.css:80:14: Expected a string.

(-c:24950): Gtk-WARNING **: Theme parsing error: nautilus.css:87:41: The :prelight pseudo-class is deprecated. Use :hover instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: nautilus.css:100:30: The style property GtkButton:image-spacing is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: nautilus.css:101:29: The style property GtkButton:inner-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gnome-panel.css:64:29: The style property GtkButton:inner-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(-c:24950): Gtk-WARNING **: Theme parsing error: gnome-panel.css:86:35: The :prelight pseudo-class is deprecated. Use :hover instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: gnome-panel.css:109:28: The :prelight pseudo-class is deprecated. Use :hover instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: unity-greeter.css:49:30: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: unity-greeter.css:53:29: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: unity-greeter.css:58:23: The :focused pseudo-class is deprecated. Use :focus instead.

(-c:24950): Gtk-WARNING **: Theme parsing error: unity-greeter.css:59:22: The :focused pseudo-class is deprecated. Use :focus instead.
sh: 1: systemsettings: not found
You guys know I am running SolydKee64 so if this is not the intended use for this I understand.

Nevermind I just discovered that I was using the wrong command

It should have been
xksudo systemsettings5


User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Use of xksudo

Postby Arjen Balfoort » 12 Mar 2017 17:58

I created xksudo to be a wrapper for kdesudo. Contrary to gksudo in SolydX, kdesudo uses the root's theme settings and not the user's theme settings which I thought was confusing and ugly. Not everybody agrees. So, I kept it as an optional install and only our own SolydXK tools use it by default. If you want other non-SolydXK applications to use xksudo as well, you'll need to install xksudo-applications which changes the appropriate .desktop files. Both packages are installed on the alpha ISOs.


SolydXK needs you!
Development | Testing | Translations

User avatar
bas_otten
Posts: 214
Joined: 19 Oct 2013 12:22
Location: Netherlands

Re: Use of xksudo

Postby bas_otten » 12 Mar 2017 20:21

Just to be clear: by design 'xksudo systemsettings5' will not change root's theme, it will change your theme, but running as root. Something very dangerous, if you ask me ;)

User avatar
MAYBL8
Posts: 1487
Joined: 10 Mar 2013 18:41
Location: Maryland Heights, MO USA
Contact:

Re: Use of xksudo

Postby MAYBL8 » 13 Mar 2017 01:20

Thanks for clarifying.
See I learn something new everyday.
Never have tried to use systemsettings5 as root before.
So I thought by using it as root I was changing the root's settings.
Again thanks for clarifying.


User avatar
ilu
Posts: 2633
Joined: 09 Oct 2013 12:45

Re: Use of xksudo

Postby ilu » 13 Mar 2017 01:38

Schoelje wrote:If you want other non-SolydXK applications to use xksudo as well, you'll need to install xksudo-applications which changes the appropriate .desktop files. Both packages are installed on the alpha ISOs.
If I don't want to use xksudo for non-SolydXK applications how would I go about that? Is there a way to restore the default .desktop files after/with deinstalling xksudo-applications?

User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Use of xksudo

Postby Arjen Balfoort » 13 Mar 2017 04:15

Purging xksudo-applications ro xksudo* will do that.


SolydXK needs you!
Development | Testing | Translations


Return to “Testing Zone”

Who is online

Users browsing this forum: No registered users and 1 guest